using System;

namespace SlatedGameToolkit.Tools.System.Interaction
{
    public class ConsoleInteracter : IInteractable
    {
        string prefix;
        public ConsoleInteracter(string prefix) {
            this.prefix = prefix;
        }

        public void LineBreak()
        {
            Console.WriteLine();
        }

        public string Listen()
        {
            Console.Write(prefix + "> ");
            return Console.ReadLine();
        }

        public void Tell(string message)
        {
            Console.WriteLine(message);
        }
    }
}